# 02.ej.grafico.histyNorm.R
# Add a Normal Curve (Thanks to Peter Dalgaard)
# source('01.ej.source.R.grafico.histyNorm.R')
# -----------------------
x <- mtcars$mpg
h<-hist(x, breaks=10, col="red", xlab="Miles Per Gallon",
   main="Histogram with Normal Curve")
xfit<-seq(min(x),max(x),length=40)
yfit<-dnorm(xfit,mean=mean(x),sd=sd(x))
yfit <- yfit*diff(h$mids[1:2])*length(x)
lines(xfit, yfit, col="blue", lwd=2) 
